
// BKOscScr.h : файл заголовка
//
#pragma once
#include "Defines.h"
#include "LockVarType.h"
#include "BKOscScr_Shared.h"

// диалоговое окно CBKOscScr
class CBKOscScr : public CWnd
{
		DECLARE_DYNAMIC(CBKOscScr)

		CBKOScScr_Shared *m_pSharefFunc;
		HMODULE hmod;
		typedef BKOSCSCRHANDLE(WINAPI *GETBKOSC)();

	protected:
		HWND                m_hwndScreen;  // Screen View window handle
		SAMPLE_TYPE        *m_inBuf;
		int                 m_inLen;
		LockVarType         m_lockBusy;

// Создание
	public:
		CBKOscScr(int nRenderType);    // стандартный конструктор
		virtual ~CBKOscScr(void);
		void SetBuffer(BYTE *pBuffer, int buffer_len);

	protected:

// Реализация
	protected:
		// Созданные функции схемы сообщений
		virtual BOOL PreCreateWindow(CREATESTRUCT &cs);
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnDestroy();
		afx_msg void OnPaint();
		afx_msg BOOL OnEraseBkgnd(CDC *pDC);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		DECLARE_MESSAGE_MAP()
};
